Navigation

Inscrivez-vous gratuitement
pour pouvoir participer, suivre les réponses en temps réel, voter pour les messages, poser vos propres questions et recevoir la newsletter

IntelliJ Java Discussion :

Erreur "Unable to resolve dependency"


Sujet :

IntelliJ Java

  1. #1
    Membre confirmé
    Erreur "Unable to resolve dependency"
    Bonjour,

    Je suis en cours de changement d'IDE depuis Eclipse vers IntelliJ sous UBUNTU. J'ai un programme avec POI dans lequel les import poi ont le message "unable to resolve dependency" ?
    J'arrive a compiler le projet avec Maven mon projet

    J'ai testé sans succes,
    1 vider le cache et redemmarer,
    2 et le bouton synchronise
    3 reimport maven
    4 dans la fenetre maven mvn -U idea:idea
    5 supprimer le repertoire system dans ideaC

    les classes XSSF sont dans poi-ooxml-3.8.jar

    Merci de votre aide
    Phil

  2. #2
    Membre confirmé

  3. #3
    Membre confirmé
    Bonjour,

    J'ai re-importer mon projet depuis le serveur SVN, et j'ai constaté que
    * Dans l'ancien Intellij les librairies en plus d'etre en Maven*, elles existaient en plus sous leur nom
    * Le re-import depuis le serveur SVN à résolu les problemes de dépendency

###raw>template_hook.ano_emploi###